.input-text {
  position: relative;
  border: 1px solid rgba(255, 255, 255, 0.23);
  box-sizing: border-box;
  border-radius: 4px;
  input:-webkit-autofill,
  input:-webkit-autofill:hover,
  input:-webkit-autofill:focus {
    border: none;
    -webkit-text-fill-color: #777777;
    box-shadow: 0 0 0px 1000px white inset;
  }

  input.input-core {
    padding-top: 2px;
    padding-left: 32px;
    outline: none;
    width: 100%;
    font-family: "SukhumvitSet-Medium";
    font-size: 18px;
    line-height: 1.5;
    text-align: left;
    color: #777777;
    border: none;
    margin-bottom: 4px;
    margin-top: 18px;

    &:focus {
      & ~ .input-placehoder-wrapper {
        .input-placehoder-label-wrapper {
          .input-placehoder-label {
            font-size: 12px;
            line-height: 2.25;
            color: #5c9ef4;
            top: 0px;
          }
        }
      }
      & ~ .input-underline {
        border-color: #1171ec;
      }
    }

    &::placeholder {
      color: transparent;
    }

    &:not(:placeholder-shown) {
      & ~ .input-placehoder-wrapper {
        .input-placehoder-label-wrapper {
          .input-placehoder-label {
            font-size: 12px;
            line-height: 2.25;
            top: 0px;
          }
        }
      }
    }
  }

  .input-placehoder-wrapper {
    position: absolute;
    top: 0;
    left: 16px;
    right: 0;
    bottom: 0;
    pointer-events: none;

    .input-icon {
      margin-top: 22px;
      width: 20px;
      height: 20px;
      border-radius: 12px;
    }

    .input-placehoder-label-wrapper {
      position: relative;
      flex: 1;

      .input-placehoder-label {
        position: absolute;
        font-family: "SukhumvitSet-Medium";
        text-align: left;
        pointer-events: none;

        transition: all 256ms ease;
        font-size: 18px;
        line-height: 1.5;
        color: #c9c9c9;
        top: 20px;
        left: 10px;
      }
    }
  }

  .input-underline {
    width: 100%;
    height: 0;
    border: solid 1px #c9c9c9;
  }

  .input-error-message {
    min-height: 27px;
    font-family: "SukhumvitSet-Medium";
    text-align: left;
    pointer-events: none;
    font-size: 12px;
    line-height: 2.25;
    color: #ff9b96;
    visibility: hidden;
    padding-left: 11px;
  }

  &.error {
    .input-underline {
      border-color: #ff9b96;
    }
    .input-placehoder-label {
      color: #ff9b96;
    }
    .input-error-message {
      visibility: visible;
    }
  }
}

// textarea:-webkit-autofill,
// textarea:-webkit-autofill:hover,
// textarea:-webkit-autofill:focus,
// select:-webkit-autofill,
// select:-webkit-autofill:hover,
// select:-webkit-autofill:focus {
